# Vars

Command:&#x20;

`vars`

Syntax:

```bash
vars
```

Example:

```bash
zirkul#vars
Variables:
==================================================
myVar                                              => 'Text here'
Reserved variables:
date                                               => (reserved)
now                                                => (reserved)
utcnow                                             => (reserved)
day                                                => (reserved)
month                                              => (reserved)
year                                               => (reserved)
hour                                               => (reserved)
minute                                             => (reserved)
second                                             => (reserved)
binary_path                                        => (reserved)
working_path                                       => (reserved)
Syntax:
==================================================
    var var_name = "value"
You an use variables in several different ways, here are some examples:
   In commands          # zirkul# server var_name
   In options           # zirkul(plugin)# url: var_name
   Within string values # zirkul(scanner)# url "http://{{var_name}}"
                          zirkul(scan)# summary: "My Scan for {{var_name}}"
   Private variables    # zirkul# print scan.id
                        # zirkul# print target.id
                        # zirkul# print issues
                        # zirkul# print issues[1]
                        # zirkul# print issues[1].severity
zirkul#

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zirkul.com/zirkul-agent/command-reference/vars.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
